Mailinglist Archive: opensuse-packaging (25 mails)

< Previous Next >
Re: [opensuse-packaging] Application requires specific patches to library
Am Dienstag, 25. Juni 2019, 06:31:12 CEST schrieb Max Mitschke:
Howdy,

What would be the best approach to packaging an application that
requires specific patches to a library?

I would like to work on packaging Trenchboom but am not sure how to
approach the required patches for wxWidgets.

Link: https://github.com/kduske/TrenchBroom


ask yourself: why were those required patches not submitted to or accepted by
wxwidget?

I'd say the safest approach not to break anything else that uses wxwidgets is
to build a static version of wxwidget *with* the patches and use that for
building Trenchboom.


cheers
MH


--
gpg key fingerprint: 8029 2240 F4DD 7776 E7D2 C042 6B8E 029E 13F2 C102



--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
References